server:
  port: 8080

spring:
  application:
    name: kamco-change-detection-api
  profiles:
    active: local  # 사용할 프로파일 지정 (ex. dev, prod, test)

  datasource:
    driver-class-name: org.postgresql.Driver
    hikari:
      jdbc:
        time_zone: UTC
        batch_size: 50
      # 권장 설정
      minimum-idle: 2
      maximum-pool-size: 2
      connection-timeout: 20000
      idle-timeout: 300000
      max-lifetime: 1800000
      leak-detection-threshold: 60000

  data:
    redis:
      host: localhost
      port: 6379
      password:
  jpa:
    hibernate:
      ddl-auto: update  # 테이블이 없으면 생성, 있으면 업데이트
    properties:
      hibernate:
        jdbc:
          batch_size: 50
        default_batch_fetch_size: 100
logging:
  level:
    org:
      springframework:
        web: DEBUG
        security: DEBUG
    root: INFO
    org.springframework.security: DEBUG
# actuator
management:
  health:
    readinessstate:
      enabled: true
    livenessstate:
      enabled: true
  endpoint:
    health:
      probes:
        enabled: true
      show-details: always
  endpoints:
    jmx:
      exposure:
        exclude: "*"
    web:
      base-path: /monitor
      exposure:
        include:
          - "health"


file:
  #sync-root-dir: D:/app/original-images/
  sync-root-dir: /app/original-images/
  sync-tmp-dir: ${file.sync-root-dir}/tmp
  sync-file-extention: tfw,tif
